/**********************************************************************
*
*   clib/dctv_protos.h
*
*   Copyright (c) 1991, Digital Creations, Inc.
*
**********************************************************************/

#ifndef CLIB_DCTV_PROTOS_H
#define CLIB_DCTV_PROTOS_H

#ifndef LIBRARIES_DCTV_H
  #include <libraries/dctv.h>
#endif


/* -------------------- RGB<->DCTV Conversion Functions */

    /* v1 functions */
struct DCTVCvtHandle *AllocDCTVCvt (struct BitMap *, ULONG Width, ULONG Height, ULONG Flags);
void FreeDCTVCvt (struct DCTVCvtHandle *);
void InitDCTVCvt (struct DCTVCvtHandle *);
void FormatDCTV (struct DCTVCvtHandle *);
void CvtDCTVLine (struct DCTVCvtHandle *);

    /* obsolete function names */
#define DCTVFormat FormatDCTV
#define DCTVCvtLine CvtDCTVLine

    /* v3 functions */
struct DCTVCvtHandle *AllocDCTVCvtTagList (struct BitMap *, struct TagItem *);
struct DCTVCvtHandle *AllocDCTVCvtTags (struct BitMap *, Tag, ...);
ULONG ReadDCTVPixel (struct DCTVCvtHandle *, LONG x, LONG y);
void SetDCTVColorTable (struct DCTVCvtHandle *, UWORD *colortable);


/* -------------------- Misc DCTV Functions */

BOOL TestDCTVSignature (struct BitMap *);

#endif
